VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form FrmPilote 
   Caption         =   "Form1"
   ClientHeight    =   3090
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   6015
   LinkTopic       =   "Form1"
   ScaleHeight     =   3090
   ScaleWidth      =   6015
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdSaveDocument 
      Caption         =   "&Save Document"
      Height          =   315
      Left            =   1680
      TabIndex        =   7
      Top             =   960
      Width           =   1455
   End
   Begin VB.CommandButton cmdLoadData 
      Caption         =   "&Insert Data"
      Height          =   315
      Left            =   3240
      TabIndex        =   6
      Top             =   540
      Width           =   1455
   End
   Begin VB.CommandButton cmdCloseWord 
      Caption         =   "&Close Word"
      Height          =   315
      Left            =   3240
      TabIndex        =   5
      Top             =   960
      Width           =   1455
   End
   Begin VB.CommandButton cmdLoadTemplate 
      Caption         =   "&Load Template"
      Height          =   315
      Left            =   1680
      TabIndex        =   4
      Top             =   540
      Width           =   1455
   End
   Begin VB.CommandButton cmdOpenWord 
      Caption         =   "&Open Word"
      Height          =   315
      Left            =   120
      TabIndex        =   3
      Top             =   540
      Width           =   1455
   End
   Begin MSComDlg.CommonDialog fileChooser 
      Left            =   5520
      Top             =   2580
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton cmdChooseFile 
      Caption         =   "..."
      Height          =   315
      Left            =   5520
      TabIndex        =   2
      Top             =   120
      Width           =   375
   End
   Begin VB.TextBox txtDataFilename 
      Height          =   315
      Left            =   1680
      TabIndex        =   1
      Text            =   "./Data.xml"
      Top             =   120
      Width           =   3675
   End
   Begin VB.CommandButton cmdLoadXml 
      Caption         =   "&Load XML Data"
      Height          =   315
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1455
   End
End
Attribute VB_Name = "FrmPilote"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim parser As New DOMDocument
Dim oWord As Word.Application

Private Sub cmdChooseFile_Click()
    fileChooser.ShowOpen
    txtDataFilename.Text = fileChooser.FileName
End Sub

Private Sub cmdCloseWord_Click()
    oWord.Quit
End Sub

Private Sub cmdLoadData_Click()
    oWord.Selection.MoveDown wdLine, 3
    oWord.Selection.EndKey wdLine
    oWord.Selection.MoveRight wdCharacter
    oWord.Selection.TypeText parser.selectSingleNode("//TO").Text

    oWord.Selection.MoveDown wdLine
    oWord.Selection.TypeText parser.selectSingleNode("//FROM").Text
    
    oWord.Selection.MoveDown wdLine
    oWord.Selection.TypeText parser.selectSingleNode("//SUBJECT").Text

    oWord.Selection.MoveDown wdLine
    oWord.Selection.TypeText parser.selectSingleNode("//BODY").Text
    
    oWord.Selection.MoveDown wdLine
    Dim nodes As IXMLDOMNodeList
    Dim node As IXMLDOMNode
    Set nodes = parser.selectNodes("//FILE")
    For Each node In nodes
        oWord.Selection.InlineShapes.AddPicture _
            App.Path & "/Images/" & node.Text, _
            LinkToFile:=False, SaveWithDocument:=True
    Next
End Sub

Private Sub cmdLoadTemplate_Click()
    oWord.Documents.Add App.Path & "\Email.dot"
End Sub

Private Sub cmdLoadXml_Click()
    parser.async = False
    Call parser.Load(txtDataFilename.Text)
    parser.setProperty "SelectionLanguage", "XPath"
End Sub

Private Sub cmdOpenWord_Click()
    Set oWord = New Word.Application
    oWord.Visible = True
    oWord.DisplayAlerts = wdAlertsNone
    Me.Hide
    Me.Show
End Sub

Private Sub cmdSaveDocument_Click()
    oWord.ActiveDocument.SaveAs App.Path & "\Email.doc"
End Sub
